---
name: "\U0001F41B Bug report"
about: Create a report to help us improve PyKale
title: "[Bug]"
labels: bug
assignees: ''

---

# 🐛 Bug

<!-- A clear and concise description of what the bug is. -->

## To reproduce

Steps to reproduce the behavior:

1.
2.
3.

Or, code snippet to reproduce the behaviour

```python
# Your code goes here
# Please make sure it does not require any external dependencies (other than those required by PyKale!)
# (We much prefer small snippets rather than links to existing libraries!)
```

** Stack trace/error message **
```
// Paste the bad output here!
```

## Expected Behaviour

<!-- A clear and concise description of what you expected to happen. -->

## Environment

Please copy and paste the output from our
[environment collection script](https://raw.githubusercontent.com/pytorch/pytorch/master/torch/utils/collect_env.py)
(or fill out the checklist below manually).

You can get the script and run it with:
```
wget https://raw.githubusercontent.com/pytorch/pytorch/master/torch/utils/collect_env.py
# For security purposes, please check the contents of collect_env.py before running it.
python collect_env.py
```

 - PyTorch Version (e.g., 1.0):
 - OS (e.g., Linux):
 - How you installed PyTorch (`conda`, `pip`, source):
 - Build command you used (if compiling from source):
 - Python version:
 - CUDA/cuDNN version:
 - GPU models and configuration:
 - Any other relevant information:

## Additional context
Add any other context about the problem here.
